Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class SoftShortMessage

    java.lang.Object
      javax.sound.midi.MidiMessage
          javax.sound.midi.ShortMessage
              com.sun.media.sound.SoftShortMessage

All Implemented Interfaces:
  java.lang.Cloneable

    public class SoftShortMessage

extends javax.sound.midi.ShortMessage

A short message class that support for than 16 midi channels.

Author:
  Karl Helgason

Field Summary

Fields inherited from class javax.sound.midi.ShortMessage
`ACTIVE_SENSING, CHANNEL_PRESSURE, CONTINUE, CONTROL_CHANGE, END_OF_EXCLUSIVE, MIDI_TIME_CODE, NOTE_OFF, NOTE_ON, PITCH_BEND, POLY_PRESSURE, PROGRAM_CHANGE, SONG_POSITION_POINTER, SONG_SELECT, START, STOP, SYSTEM_RESET, TIMING_CLOCK, TUNE_REQUEST`

Constructor Summary
`SoftShortMessage()`

Method Summary
`java.lang.Object` | `clone()`
`int` | `getChannel()`
`void` | `setMessage(int command, int channel, int data1, int data2)`

Methods inherited from class javax.sound.midi.ShortMessage
`getCommand, getData1, getData2, setMessage, setMessage`

Methods inherited from class javax.sound.midi.MidiMessage
`getLength, getMessage, getStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoftShortMessage

    public SoftShortMessage()

Method Detail

### getChannel

    public int getChannel()

  Overrides:
    `getChannel` in class `javax.sound.midi.ShortMessage`

### setMessage

    public void setMessage(int command,
                           int channel,
                           int data1,
                           int data2)
                    throws javax.sound.midi.InvalidMidiDataException

  Overrides:
    `setMessage` in class `javax.sound.midi.ShortMessage`
  Throws:
    `javax.sound.midi.InvalidMidiDataException`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `javax.sound.midi.ShortMessage`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD